Skip to navigation

Get Hourly Report Presets

Lists the active contract-level hourly report presets of a contract, each with its root preset template details. Use it to find the presets of a contract when you do not already hold a preset id. Requires contracts.view_sensitive on the contract.

Token scopes: timesheets:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "uuid"
ID of the Deel contract

Query parameters

work_statement_idstringOptionalformat: "uuid"

ID of the work statement (optional)

order_bystringOptionalDefaults to title

Field to order results by (title or created_at)

order_directionstringOptionalDefaults to ASC

Direction of ordering (ASC or DESC)

cursorstringOptional
Pagination cursor for fetching next set of results
limitintegerOptional1-100Defaults to 100
Number of results to return per page

Response

Successful operation.
datalist of objects
List of hourly report presets matching the requested filters.
pageobject
Pagination metadata for the response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error